#ifndef _DETECTOR_H_
#define _DETECTOR_H_

#include <cv.h>
#include "engine.h"

struct Pyramid
{
    vector<IplImage*> img;
    int octaves, levels_per_octave;

    Pyramid(CvSize base_sz, int _levels_per_octave=4, int _octaves=3);

    void insert(IplImage * img);
};

TImage image(IplImage * img);

int abrDetectObjects(Pyramid & image, TClassifier * c, TRect * begin, TRect * end, int * hist);

int abrClusterDetections(TRect * src, TRect * dst, int n, float t, int minSz, float scale);

#endif

